Loading...
Searching...
No Matches
svn_fs_path_change2_t Struct Reference
Filesystem interaction subsystem » Filesystem directories

Similar to svn_fs_path_change3_t, but with node_rev_id and without path information. More...

`#include <svn_fs.h>`

## Data Fields

const svn_fs_id_t * | node_rev_id
| node revision id of changed path
svn_fs_path_change_kind_t | change_kind
| kind of change
svn_boolean_t | text_mod
| was the text touched?
svn_boolean_t | prop_mod
| were the properties touched?
svn_node_kind_t | node_kind
| what node kind is the path?
svn_boolean_t | copyfrom_known
| Copyfrom revision and path; this is only valid if copyfrom_known is true.
svn_revnum_t | copyfrom_rev
const char * | copyfrom_path
svn_tristate_t | mergeinfo_mod
| was the mergeinfo property touched?

## Detailed Description

Similar to svn_fs_path_change3_t, but with node_rev_id and without path information.

Note
  Fields may be added to the end of this structure in future versions. Therefore, to preserve binary compatibility, users should not directly allocate structures of this type.
  The `text_mod`, `prop_mod` and `mergeinfo_mod` flags mean the text, properties and mergeinfo property (respectively) were "touched" by the commit API; this does not mean the new value is different from the old value.

Since
  New in 1.6.

Deprecated
  Provided for backwards compatibility with the 1.9 API.

Definition at line 1579 of file svn_fs.h.

## Field Documentation

## change_kind

svn_fs_path_change_kind_t svn_fs_path_change2_t::change_kind

kind of change

Definition at line 1585 of file svn_fs.h.

## copyfrom_known

svn_boolean_t svn_fs_path_change2_t::copyfrom_known

Copyfrom revision and path; this is only valid if copyfrom_known is true.

Definition at line 1612 of file svn_fs.h.

## copyfrom_path

const char* svn_fs_path_change2_t::copyfrom_path

Definition at line 1614 of file svn_fs.h.

## copyfrom_rev

svn_revnum_t svn_fs_path_change2_t::copyfrom_rev

Definition at line 1613 of file svn_fs.h.

## mergeinfo_mod

svn_tristate_t svn_fs_path_change2_t::mergeinfo_mod

was the mergeinfo property touched?

modify: } true iff svn:mergeinfo property add/del/mod add (copy): } and fs format supports this flag. add (plain): } delete: always false. replace: as for the add/copy part of the replacement. (Note: Pre-1.9 repositories will report svn_tristate_unknown.)

Since
  New in 1.9.

Definition at line 1624 of file svn_fs.h.

## node_kind

svn_node_kind_t svn_fs_path_change2_t::node_kind

what node kind is the path?

(Note: it is legal for this to be svn_node_unknown.)

Definition at line 1608 of file svn_fs.h.

## node_rev_id

const svn_fs_id_t* svn_fs_path_change2_t::node_rev_id

node revision id of changed path

Definition at line 1582 of file svn_fs.h.

## prop_mod

svn_boolean_t svn_fs_path_change2_t::prop_mod

were the properties touched?

modify: true iff props touched. add (copy): true iff props touched. add (plain): true iff props touched. delete: always false. replace: as for the add/copy part of the replacement.

Definition at line 1604 of file svn_fs.h.

## text_mod

svn_boolean_t svn_fs_path_change2_t::text_mod

was the text touched?

For node_kind=dir: always false. For node_kind=file: modify: true iff text touched. add (copy): true iff text touched. add (plain): always true. delete: always false. replace: as for the add/copy part of the replacement.

Definition at line 1595 of file svn_fs.h.

The documentation for this struct was generated from the following file:

- svn_fs.h